# PHTTPPasswordField Class Reference

`#include <httpform.h>`

Inheritance diagram for PHTTPPasswordField:

List of all members.

## Public Member Functions

| PHTTPPasswordField (const char *name, PINDEX size, const char *initVal=NULL, const char *help=NULL)
| PHTTPPasswordField (const char *name, const char *title, PINDEX size, const char *initVal=NULL, const char *help=NULL)
virtual PHTTPField * | NewField () const
| Create a new field of the same class as the current field.
virtual void | GetHTMLTag (PHTML &html) const
| Convert the field to HTML form tag for inclusion into the HTTP page.
virtual PString | GetValue (PBoolean dflt=false) const
| Get the string value of the field.
virtual void | SetValue (const PString &newVal)
| Set the value of the field.

## Static Public Member Functions

static PString | Decrypt (const PString &pword)

## Constructor & Destructor Documentation

PHTTPPasswordField::PHTTPPasswordField | ( | const char * | name,
|  | PINDEX | size,
|  | const char * | initVal = `NULL`,
|  | const char * | help = `NULL` |
| ) |  |  |

PHTTPPasswordField::PHTTPPasswordField | ( | const char * | name,
|  | const char * | title,
|  | PINDEX | size,
|  | const char * | initVal = `NULL`,
|  | const char * | help = `NULL` |
| ) |  |  |

## Member Function Documentation

static PString PHTTPPasswordField::Decrypt | ( | const PString & | pword | ) | `[static]`

virtual void PHTTPPasswordField::GetHTMLTag | ( | PHTML & | html | ) | const`[virtual]`

Convert the field to HTML form tag for inclusion into the HTTP page.

Parameters:

  html | HTML to receive the field info.

Reimplemented from PHTTPStringField.

virtual PString PHTTPPasswordField::GetValue | ( | PBoolean | dflt = `false` | ) | const`[virtual]`

Get the string value of the field.

Returns:
  String for field value.

Reimplemented from PHTTPStringField.

virtual PHTTPField* PHTTPPasswordField::NewField | ( |  | ) | const`[virtual]`

Create a new field of the same class as the current field.

Returns:
  New field object instance.

Reimplemented from PHTTPStringField.

virtual void PHTTPPasswordField::SetValue | ( | const PString & | newVal | ) | `[virtual]`

Set the value of the field.

Reimplemented from PHTTPStringField.

The documentation for this class was generated from the following file:

- httpform.h